Entwurf PunktAnordnung

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft PointArray and the translation is 81% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Draft PathArray.svg Pfad Anordnung Vorherige:
Nächste: Klonen Draft Clone.svg Arrow-right.svg

Draft PointArray.svg {{{Name/de}}}

Menüeintrag
Entwurf → PunktAnordnung
Arbeitsbereich
Entwurf, Arch
Standardtastenkürzel
None
In der Version eingeführt
0.18
Siehe auch
Entwurf Anordnung, Entwurf PfadAnordnung


Beschreibung

Das Draft PointArray.svg Entwurf PunktAnordnungWerkzeug platziert Kopien einer ausgewählten Form entlang verschiedener ausgewählter Punkte.

Das PunktAnordnungswerkzeug kann auf 2D Formen verwendet werden, die mit der Draft Arbeitsbereich erstellt wurden, aber auch auf vielen Arten von 3D Objekten, wie sie mit der Part Arbeitsbereich, PartDesign Arbeitsbereich, oder Arch Arbeitsbereichen erstellt wurden.

Um Kopien in einem orthogonalen Feld zu positionieren, verwende Entwurf Feld; um Kopien entlang eines Pfades zu positionieren, verwende Draft PathArray; um Kopien oder Klone zu erstellen und sie manuell zu platzieren, verwende Draft Move, Draft Rotate und Draft Clone.

Draft PointArray Example.png

An bestimmten Stellen angeordnetes Objekt


Anwendung

  1. Wähle ein Objekt aus, das Du verteilen möchtest.
  2. Wähle eine Punktverbindung aus.
  3. Drücke die Taste 16px. Draft PointArray Taste.

Um eine Punktverbindung zu erstellen, wähle verschiedene Entfwurfspunkte aus und drücke dann die Taste Draft Upgrade.svg. Draft Upgrade Taste.

Jedes Element in der Anordnung ist ein genauer Klon des ursprünglichen Objekts, aber die gesamte Anordnung wird in Bezug auf Eigenschaften und Aussehen als eine einzige Einheit betrachtet.

Optionen

Es gibt keine Optionen für dieses Werkzeug. Entweder funktioniert es mit den ausgewählten Objekten oder nicht.

Eigenschaften

  • DataBase: the object to duplicate.
  • DataCount: (read-only) specifies the number of copies of the base object. This number will depend on the number of Draft Points in the compound.
  • DataPointList: specifies a compound object with point objects that indicate where the copies of the DataBase object will appear.

The compound object needs to have a DataLinks, DataComponets, or DataGeometry attribute. Each of the objects inside the compound should be Draft Points that have DataX, DataY, and DataZ attributes. The compounds could be created with Part Compound (DataLinks attribute) or with Draft Upgrade (DataComponets attribute).

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The PointArray tool can be used in macros and from the Python console by using the following function:

PointArray = makePointArray(base, ptlst)
  • Creates a PointArray object from the base object, by placing the copies along ptlst.
  • ptlst is an object with Geometry, Links, or Components attributes that define the position of the copies.

Beispiel:

import FreeCAD, Draft

Polygon = Draft.makePolygon(3, radius=500.0)

p1 = Draft.makePoint(FreeCAD.Vector(1500, 0, 0))
p2 = Draft.makePoint(FreeCAD.Vector(2500, 0, 0))
p3 = Draft.makePoint(FreeCAD.Vector(2000, 1000, 0))

# Create a compound of points
addList, deleteList = Draft.upgrade([p1, p2, p3])

# Extract the compound from the list
compound = addList[0]

PointArray = Draft.makePointArray(Polygon, compound)
Arrow-left.svg Draft PathArray.svg Pfad Anordnung Vorherige:
Nächste: Klonen Draft Clone.svg Arrow-right.svg